<?php
/**
 * All the constants are defined here.
 *
 * @since      1.0.0
 *
 * @package    Wp_csp
 * @subpackage Wp_csp/admin
 */

// Plugin name.
define( 'CSP_PLUGIN_NAME', 'wp_csp' );

// Plugin prefix.
define( 'CSP_PLUGIN_PREFIX', 'csp' );

// Main CPT name.
define( 'CSP_CPT_NAME', CSP_PLUGIN_NAME );

// Save album editor action.
define( 'CSP_SAVE_META_BOX_ACTION_NAME', CSP_PLUGIN_PREFIX . '_save_meta_box_data' );

// Album editor save nonce.
define( 'CSP_SAVE_META_BOX_NONCE', CSP_PLUGIN_PREFIX . '_meta_box_nonce' );

// Album secret code meta key.
define( 'CSP_ALBUM_SECRET_CODE_META_KEY', CSP_PLUGIN_PREFIX . '_album_secret_code' );

// Album images folder.
define( 'CSP_ALBUM_IMAGES_FOLDER', 'csp-album' );

// Album images meta key.
define( 'CSP_ALBUM_IMAGES_META_KEY', CSP_PLUGIN_PREFIX . '_album_images' );

// Album images meta key renamed.
define( 'CSP_ALBUM_IMAGES_META_KEY_RENAMED', CSP_PLUGIN_PREFIX . '_album_images_renamed' );

// Pricing per album.
define( 'CSP_PRICING_PER_ALBUM_META_KEY', CSP_PLUGIN_PREFIX . '_pricing_per_album' );

// No of images to select from an album.
define( 'CSP_NO_OF_IMAGE_TO_SELECT_META_KEY', CSP_PLUGIN_PREFIX . '_no_of_image_to_select' );

// Album hint text.
define( 'CSP_ALBUM_HINT_TEXT', CSP_PLUGIN_PREFIX . '_album_hint_text' );

// Album secret code nonce.
define( 'CSP_ALBUM_SECRET_CODE_NONCE_FIELD', CSP_PLUGIN_PREFIX . '_album_secret_code_nonce_field' );
define( 'CSP_ALBUM_SECRET_CODE_NONCE_KEY', CSP_PLUGIN_PREFIX . '_album_secret_code_nonce_key' );

// Save album selection nonce.
define( 'CSP_SAVE_SELECTION_NONCE_KEY', CSP_PLUGIN_PREFIX . '_save_selection_nonce_key' );

// Selected image URLs session key.
define( 'CSP_SELECTED_IMAGE_URLS_SESSION_KEY', CSP_PLUGIN_PREFIX . '_selected_image_urls' );

define( 'CSP_PRICING_PER_ALBUM_SESSION_KEY', CSP_PLUGIN_PREFIX . '_is_pricing_per_album' );

define( 'CSP_PLUGIN_BUY_URL', 'https://dreamstyle.photos/produkt/plugin-clicksell-photos/ ' );

define( 'CSP_PLUGIN_GUIDE_URL', 'https://dreamstyle.photos/wp-content/uploads/2023/10/Click-Sell-Photos-Starter-Guide.pdf ' );


// Album renamed image base url.
define( 'CSP_ALBUM_IMG_BASE_URL', trailingslashit( wp_upload_dir()['baseurl'] ) . CSP_ALBUM_IMAGES_FOLDER );
